Last Comment Bug 1183157 - make marionette --version flag also show the transport and driver package versions
: make marionette --version flag also show the transport and driver package ver...
Status: RESOLVED FIXED
: ateam-marionette-runner
Product: Testing
Classification: Components
Component: Marionette (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: mozilla42
Assigned To: Julien Pagès (:parkouss)
:
:
Mentors:
Depends on: 902125 1200409
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-13 09:16 PDT by Julien Pagès (:parkouss)
Modified: 2015-09-01 01:50 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
1183157.patch (7.39 KB, patch)
2015-07-15 02:07 PDT, Julien Pagès (:parkouss)
dburns: review+
Details | Diff | Splinter Review

Description User image Julien Pagès (:parkouss) 2015-07-13 09:16:47 PDT
See bug 902125 comment 4.
Comment 1 User image Julien Pagès (:parkouss) 2015-07-14 07:39:02 PDT
More precisely bug 902125 comment 5 (ideally --version would report the versions of marionette-driver and marionette-transport as well).
Comment 2 User image Julien Pagès (:parkouss) 2015-07-15 02:07:17 PDT
Created attachment 8633975 [details] [diff] [review]
1183157.patch

Example:

> $ marionette --version
> marionette 0.16 (using marionette-driver: 0.10, marionette-transport: 0.5)
Comment 3 User image Julien Pagès (:parkouss) 2015-07-15 02:20:31 PDT
While I was looking at it, I found something strange:

> $ cat client/requirements.txt | grep marionette
> marionette-driver >= 0.8

> $ cat driver/requirements.txt | grep marionette
> marionette-transport == 0.5


> $ cat client/setup.py | grep name=
> setup(name='marionette_client',

> $ cat driver/setup.py | grep name=
> setup(name='marionette_driver',

> $ cat transport/setup.py | grep name=
> setup(name='marionette-transport',

So this seems inconsistent, sometimes we use "_" for the name, sometimes "-", and in dependencies this is always "-".

Though pip is not annoyed by that, it seems that "pip install marionette-client" and "pip install marionette_client" are roughly equivalent commands. (same thing for dependencies, so all works fine). Still I think we should update the name of client and driver package in the setup.py
files and use "-" to be consistent.

:jgriffin, :automatedtester
May I create a bug for that, or do you see any objection ?
Comment 4 User image Julien Pagès (:parkouss) 2015-07-15 02:30:54 PDT
Ah, pypi does convert "_" to "-" automatically it seems:

http://stackoverflow.com/questions/16385099/why-does-pip-convert-underscores-to-dashes

This is probably because pep8 discourage the use of underscores in package names:

https://www.python.org/dev/peps/pep-0008/#package-and-module-names
Comment 5 User image Jonathan Griffin (:jgriffin) 2015-07-15 09:23:21 PDT
I agree it would be good to change that for consistency if it doesn't break anything, and it sounds like it wouldn't.
Comment 6 User image Julien Pagès (:parkouss) 2015-07-17 12:10:25 PDT
Fixed conflicts due to mozlog update and pushed to try:

https://treeherder.mozilla.org/#/jobs?repo=try&revision=9ae2bc693a00
Comment 7 User image Julien Pagès (:parkouss) 2015-07-18 00:55:49 PDT
Repushed to try because infra (or something issue):

https://treeherder.mozilla.org/#/jobs?repo=try&revision=80f1d2b073ed

All green now.
Comment 9 User image Carsten Book [:Tomcat] 2015-07-20 02:48:24 PDT
https://hg.mozilla.org/mozilla-central/rev/cb1ee8ad0f67

Note You need to log in before you can comment on or make changes to this bug.